Old ZMEEUZB1 firmware update

Discussions about Z-Way software and Z-Wave technology in general
Post Reply
FlangeMonkey
Posts: 4
Joined: 15 Apr 2020 16:56

Old ZMEEUZB1 firmware update

Post by FlangeMonkey »

Hi Guys,

I'm looking to do a firmware update on my ZMEEUZB1, which was purchased back in 2017. Its the manual process and I cannot determine the current version. I'm executing ./ZMESerialUpdater serialapi_uzbupdate -d /dev/ttyACM0 and get the following output:

Code: Select all

/ZMESerialUpdater/x64# ./ZMESerialUpdater serialapi_uzbupdate -d /dev/ttyACM0


                                        Z-WAVE Serial API Tool
                                             Version:LWE0.9
                                             by Z-WAVE>ME


-->
-->
-->
-->
-->
-->
-->
-->
Device ready in:8.63519310951 seconds
          FULL INFO
Openning port                            ..............................                            OK

        Error  0 returned ff for ACK


        Error  1 returned ff for ACK


        Error  2 returned ff for ACK


        Error  3 Unknown exception:list index out of range

Any Idea's?

Thanks,

FlangeMonkey
Posts: 4
Joined: 15 Apr 2020 16:56

Re: Old ZMEEUZB1 firmware update

Post by FlangeMonkey »

I ended up turning up a Pi and testing it. I can now pull the info.

FlangeMonkey
Posts: 4
Joined: 15 Apr 2020 16:56

Re: Old ZMEEUZB1 firmware update

Post by FlangeMonkey »

I've managed to get up to version 5.7, I cannot seem to understand what updates are needed to get further up. I'm looking at the below link and there doesn't appear to be a path. If I look at "all" there appears to be a path, but I'm seeing references to 2 bootloaders and 2/3CH and different countries.

https://service.z-wave.me/expertui/uzb- ... tml?hw=277

Can someone please confirm I have this right:
From 5.5 to 5.6 (Done)
  • bootloader_UZB_from_05_05_to_7278_2MB.bin
  • firmware_UZB_from_05_05_to_05_06.bin
To 5.7 (Done)
  • bootloader_UZB_from_05_06_to_7278_2MB.bin
  • UPD_FIRMWARE_UZB500_from_05_06_to_05_07.bin
From 5.7 to 5.7/40196
  • do I need "UPD_BOOTLOADER_UZB_ZME_05_07_04000001_9d04.bin", "bootloader_UZB_from_05_07_to_7278_2MB.bin" or nether because I'm on 7278.
  • I'm in the EU do I need "UPD_FIRMWARE_UZB500_3CH_X_from05_07_to_UZB500_05_07.bin"? It appears to change from 3CH to what I already have?
From 5.7/40196 to 5.27/40196
  • bootloader_UZB_from_05_07_to_7278_2MB.bin < again do I need this?
  • UPD_FIRMWARE_UZB_STATIC_2ch_ZME_05_07_04000001_ZME_05_1b_04000001.bin
From 5.27 to 5.36
  • UPD_FIRMWARE_UZB_STATIC_2ch_ZME_05_1b_04000001_ZME_05_24_04000001.bin
I feel I only need "UPD_FIRMWARE_UZB_STATIC_2ch_ZME_05_07_04000001_ZME_05_1b_04000001.bin" and then "UPD_FIRMWARE_UZB_STATIC_2ch_ZME_05_1b_04000001_ZME_05_24_04000001.bin"?

Thanks,

rafale77
Posts: 115
Joined: 23 Jun 2018 19:26

Re: Old ZMEEUZB1 firmware update

Post by rafale77 »

Yes you need to move to boot loader 40196 to go further.

FlangeMonkey
Posts: 4
Joined: 15 Apr 2020 16:56

Re: Old ZMEEUZB1 firmware update

Post by FlangeMonkey »

Thanks for the reply, can you please clarify? When you say 40196 and bootloader do you mean, the bootloader I already have "bootloader_UZB_from_05_06_to_7278_2MB.bin" or this one "UPD_BOOTLOADER_UZB_ZME_05_07_04000001_9d04.bin" due to the matching 04000001?

Thanks,

edit: 9d04 is 40196 in decimal, so I need bootloader: UPD_BOOTLOADER_UZB_ZME_05_07_04000001_9d04.bin??????

rafale77
Posts: 115
Joined: 23 Jun 2018 19:26

Re: Old ZMEEUZB1 firmware update

Post by rafale77 »

Correct!

User avatar
PoltoS
Posts: 5966
Joined: 26 Jan 2011 19:36

Re: Old ZMEEUZB1 firmware update

Post by PoltoS »

This crazy map can help you. Or break your mind ;)

https://service.z-wave.me/expertui/uzb- ... ith_hidden

Post Reply